Subject: bug#27986: 26.0.50; 'rename-file' can rename files without confirmation

From: Stefan Monnier <[email-masked]>
Date: Wed, 16 Aug 2017 20:04:25 -0400

> case (which was Eli's concern). Conversely, if B is an empty directory then
> rename(A,B) can succeed (and thereby remove the old B) if all the other
> conditions are met.

Ah, right, if it's an empty dir then it can be
removed/replaced atomically.  Thanks.  It does seem like the odd case
should be rare, then, indeed.

        Stefan